Framework Update?

A place for discussion about skinning and design. Before posting questions here you should review the documentation about creating skins.

3/25/2022 10:44:39 AM
Gravatar
Total Posts 1204
Proud member of the mojoPortal team

Help support mojoPortal!
Add-on modules

Framework Update?

Hey, Joe and all. Long time no post, but we're still running mojoPortal, and still happy with it.

We recently underwent some security scanning, and one of the potential areas of concern was the old framework underpinning the skins (Bootstrap 3.x). I saw that Bootstrap was up to 5.1 now, so I took at look at Framework to see if it had moved, but it's still at 1.0.

Have you guys looked into releasing a Bootstrap 5.x compatible version of Framework? I was going to see if I could hack one together myself, but as of Bootstrap 4 they also moved from LESS to SASS as their CSS extension language (.scss files). It's so hard to keep up with all the updates to web frameworks these days.

Thanks,
Jamie